# eric4.KdeQt.KQPrintDialog

Compatibility module to use the KDE Print Dialog instead of the Qt Print Dialog.

### Global Attributes

None

### Classes

__qtKQPrintDialog | Compatibility class to use the Qt Print Dialog.

### Functions

KQPrintDialog | Public function to instantiate a printer dialog object.
__kdeKQPrintDialog | Compatibility function to use the KDE4 print dialog.

## __qtKQPrintDialog

Compatibility class to use the Qt Print Dialog.

### Derived from

QPrintDialog

### Class Attributes

None

### Methods

None

Up

## KQPrintDialog

KQPrintDialog(printer, parent = None)

Public function to instantiate a printer dialog object.

printer
  reference to the printer object (QPrinter)
parent
  reference to the parent widget (QWidget)

Returns:
  reference to the printer dialog object

Up

## __kdeKQPrintDialog

__kdeKQPrintDialog(printer, parent)

Compatibility function to use the KDE4 print dialog.

printer
  reference to the printer object (QPrinter)
parent
  reference to the parent widget (QWidget)

Up